Subject: bug#13798: closed (Re: bug#13798: rlwrap crashes in eshell)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Feb 2013 03:33:02 +0000

Your bug report

#13798: rlwrap crashes in eshell

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13798: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13798
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13798: rlwrap crashes in eshell
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 23 Feb 2013 22:31:17 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Andrew Pennebaker wrote:

> Is there a way to run plain bash in Emacs in order to get rlwrap to work?

C-h r
i shell RET

Subject: rlwrap crashes in eshell
From: Andrew Pennebaker <[email-masked]>
To: Emacs Bugs <[email-masked]>
Date: Sat, 23 Feb 2013 22:16:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Sad to say that rlwrap crashes in eshell with the message:

rlwrap: Oops, crashed (caught SIGFPE) - this should not have happened!
If you need a core dump, re-configure with --enable-debug and rebuild
Resetting terminal and cleaning up...

I know emacs/eshell is not responsible for making rlwrap work in different
terminal environments, but I didn't know where else to post this.

Until rlwrap works in eshell, what would you suggest I do to add clj REPL
tab completion in Emacs?

Is there a way to run plain bash in Emacs in order to get rlwrap to work?

-- 
Cheers,

Andrew Pennebaker
www.yellosoft.us